[debian-edu-commits] debian-edu/ 01/01: share/ltsp/init-ltsp.d/60-edu-doskles-ws: - Use systemd tool to disable ltsp client services. - Disable modemmanager for all client types. - Disable useless cups browse service on thin clients. - Disable other dm services if ldm is used.

Wolfgang Schweer schweer-guest at moszumanska.debian.org
Sat Oct 11 08:50:04 UTC 2014


This is an automated email from the git hooks/post-receive script.

schweer-guest pushed a commit to branch master
in repository debian-edu-config.

commit 40fec561648a172c608df8c7f0fff6e1d428f5e5
Author: Wolfgang Schweer <wschweer at arcor.de>
Date:   Sat Oct 11 10:49:36 2014 +0200

    share/ltsp/init-ltsp.d/60-edu-doskles-ws:
    - Use systemd tool to disable ltsp client services.
    - Disable modemmanager for all client types.
    - Disable useless cups browse service on thin clients.
    - Disable other dm services if ldm is used.
---
 debian/changelog                          |  5 +++++
 share/ltsp/init-ltsp.d/60-edu-diskless-ws | 24 +++++++++++++++++++++++-
 2 files changed, 28 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index c686b1f..27423f7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,11 @@ debian-edu-config (1.810) UNRELEASED; urgency=high
   [ Wolfgang Schweer ]
   * Fix LDAP dataloss if the system is powered down or rebooted by
     unsetting 'dbnosync' in slapd-debian-edu.conf.
+  * share/ltsp/init-ltsp.d/60-edu-doskles-ws:
+    - Use systemd tool to disable ltsp client services.
+    - Disable modemmanager for all client types.
+    - Disable useless cups browse service on thin clients.
+    - Disable other dm services if ldm is used.
 
   [ Petter Reinholdtsen ]
   * Enable the auto flag in the PXE installation, to allow more settings
diff --git a/share/ltsp/init-ltsp.d/60-edu-diskless-ws b/share/ltsp/init-ltsp.d/60-edu-diskless-ws
index a0d5029..45b257d 100644
--- a/share/ltsp/init-ltsp.d/60-edu-diskless-ws
+++ b/share/ltsp/init-ltsp.d/60-edu-diskless-ws
@@ -1,6 +1,28 @@
 #!/bin/sh
+# Use systemd compliant systemctl.
+# Remove unused dm services if ldm is used.
+if [ -z "$DEFAULT_DISPLAY_MANAGER" ]; then
+    if [ -f /lib/systemd/system/lightdm.service ] ; then
+	systemctl disable lightdm.service
+    fi
+    if [ -f /lib/systemd/system/kdm.service ] ; then
+	systemctl disable kdm.service
+    fi
+    if [ -f /lib/systemd/system/gdm3.service ] ; then
+	systemctl disable gdm3.service
+    fi
+fi
+
 # For Debian Edu diskless workstations (i.e. ltsp fat clients).
 if boolean_is_true "$LTSP_FATCLIENT" && [ -z "$DEFAULT_DISPLAY_MANAGER" ]; then
     # Remove autofs to let sshfs mount home dir (LDM is used).
-    rm -f /etc/rc?.d/???"autofs" "/etc/init.d/autofs" "/etc/init/autofs.conf"
+    systemctl disable autofs.service
+fi
+
+# Remove useless cups browse service for thin clients.
+if ! boolean_is_true "$LTSP_FATCLIENT" ; then
+    systemctl disable cups-browsed.service
 fi
+
+# Remove unneeded ModemManager for all LTSP client types.
+systemctl disable ModemManager.service

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/debian-edu-config.git



More information about the debian-edu-commits mailing list